package jp.co.asterisk.asreader.a24d.demoapp.util;

import android.app.Dialog;
import android.content.Context;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import androidx.annotation.NonNull;

import jp.co.asterisk.asreader.a24d.demoapp.R;

public class PopUpDialog extends Dialog {

    private TextView tvMessage;
    private Button btnShutDown;

    public PopUpDialog(@NonNull Context context, String contents) {
        super(context);
        setContentView(R.layout.pop_up_dialog_layout);

        tvMessage = findViewById(R.id.tv_message);
        tvMessage.setText(contents);
        btnShutDown = findViewById(R.id.btn_shutdown);
        btnShutDown.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                dismiss();
            }
        });

    }
}
